<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDemosTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: demos
         */
        Schema::create('demos', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->string('Class', 255)->nullable();
            $table->integer('roll_no')->nullable();
            $table->integer('Marks')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('demos');
    }
}
